### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.events.discovery

# Class EventBrokerDiscoveryService

java.lang.Object
com.sas.services.AbstractRemoteService
com.sas.services.events.discovery.EventBrokerDiscoveryService

All Implemented Interfaces:
  `com.sas.entities.EntityKeyInterface`, `EventBrokerDiscoveryServiceInterface`, `ServiceNotificationBroadcasterInterface`, `RemoteServiceInterface`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public class EventBrokerDiscoveryService extends AbstractRemoteService implements EventBrokerDiscoveryServiceInterface
Deprecated.
As of release 9.3, replaced by SAS Midtier Eventing Architecture.
The Event Broker Discovery Service acts an integration point into the `EventBroker Service`. It can be used to locate available event brokers that have been deployed via the Foundation Service deployment framework or as standalone applications.

Since:
  1.0

- ## Field Summary

  ### Fields inherited from interface com.sas.services.events.discovery.EventBrokerDiscoveryServiceInterface

  `EVENT_TYPE_BROADCAST, EVENT_TYPE_REQUEST_RESPONSE, LOCATE_ALL, LOCATE_ONE`

  ### Fields inherited from interface com.sas.services.RemoteServiceInterface

  `CLASS_IDENTIFIER, CLASS_IDENTIFIER_1_1, CLASS_IDENTIFIER_1_2, CLASS_IDENTIFIER_SERVICE_TYPE, CLASS_IDENTIFIER_SERVICE_TYPE_1_1, CLASS_IDENTIFIER_SERVICE_TYPE_1_2`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventBrokerDiscoveryService(DiscoveryServiceInterface discoveryService)`
  Deprecated.
  As of release 9.2, this class is no longer being supported.
  `EventBrokerDiscoveryService(ServiceConfigurationInterface serviceConfiguration)`
  Deprecated.
  As of release 9.2, this class is no longer being supported.
  `EventBrokerDiscoveryService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)`
  Deprecated.
  As of release 9.2, this class is no longer being supported.

- ## Method Summary

  ### Methods inherited from class com.sas.services.AbstractRemoteService

  `addServiceObserver, bindToDiscoveryService, getCreationTime, getDetails, getDiscoveryService, getEntityKey, getEnvironment, getServiceConfiguration, getServiceConfiguration, getServiceState, handleJVMShutdown, isAccessibleToRemoteClients, isExported, isHandlingJVMShutdown, notifyServiceObservers, reconfigure, removeAllServiceObservers, removeServiceObserver, sameEntity, setDiscoveryService, setEntityKey, setRemoteableExporter, setServiceState, toString, unbindFromDiscoveryService`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.entities.EntityKeyInterface

  `getEntityKey, sameEntity, setEntityKey`

  ### Methods inherited from interface com.sas.services.RemoteServiceInterface

  `getCreationTime, getServiceConfiguration, getServiceConfiguration, getServiceState, isAccessibleToRemoteClients, isExported, reconfigure, setServiceState`

  ### Methods inherited from interface com.sas.services.mgmt.ServiceNotificationBroadcasterInterface

  `addServiceObserver, notifyServiceObservers, removeAllServiceObservers, removeServiceObserver`

- ## Constructor Details

  - ### EventBrokerDiscoveryService

    public EventBrokerDiscoveryService(DiscoveryServiceInterface discoveryService) throws RemoteException, ServiceException
    Deprecated.
    As of release 9.2, this class is no longer being supported.
    Constructs an Event Broker Discovery Service and registers it with the specified discovery service.
    Throws:
      `ServiceException` - if unable to construct an instance.
      `RemoteException` - if a network anomaly is encountered.

  - ### EventBrokerDiscoveryService

    @SASScope("ALL") @NeedsAPIReview public EventBrokerDiscoveryService(ServiceConfigurationInterface serviceConfiguration) throws RemoteException, ServiceException
    Deprecated.
    As of release 9.2, this class is no longer being supported.
    Constructs an event broker discovery service based upon the specified service configuration.
    Parameters:
      `serviceConfiguration` - Service configuration.
    Throws:
      `RemoteException` - if a network anomaly occurs.
      `ServiceException` - if unable to configure the service using the specified service configuration.

  - ### EventBrokerDiscoveryService

    public EventBrokerDiscoveryService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService) throws RemoteException, ServiceException
    Deprecated.
    As of release 9.2, this class is no longer being supported.
    Constructs an event broker discovery service based upon the specified service configuration.
    Parameters:
      `serviceConfiguration` - Service configuration.
    Throws:
      `RemoteException` - if a network anomaly occurs.
      `ServiceException` - if unable to configure the service using the specified service configuration.